# Auction Stream

This WebSocket stream emits an event whenever Kairos secures the winning bid for the upcoming Timeboost round.

### WSCAT Example

```bash
wscat -c wss://rpc.kairos-timeboost.xyz/ws/auction_events
```

### Sample Response

{% code fullWidth="false" %}

```json
{
  "round_number": 282555,
  "start_ts_ms": 1744823300000,
  "end_ts_ms": 1744823359000
}
```

{% endcode %}

Note: You may receive up to two events upon connection: one for the current, active round and another for the next scheduled round.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kairos-timeboost.xyz/auction-stream.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
